Subject: RE: comment on feature-T30-mapping-01.txt

From: "McIntyre, Lloyd" <[email-masked]>
Date: Wed, 30 Jun 1999 16:40:09 -0700

Tamura-san,
I believe that Rafferty-san's responses to Toyoda-san also addresses your
comments. I have, however, provide some direct response to you below.

Best regards,
Lloyd

> -----Original Message-----
> From:	Hiroshi Tamura [SMTP:[email-masked]]
> Sent:	Tuesday, June 29, 1999 1:23 AM
> To:	[email-masked]; [email-masked]
> Cc:	[email-masked]; [email-masked]; [email-masked]
> Subject:	RE: comment on feature-T30-mapping-01.txt
> 
> Thank you, McIntyre-san and Toyoda-san.
> 
	[McIntyre, Lloyd]  ---snip--- 

> Toyoda-san said:
> >> We want to restrict file structure even if IFAX supports Profile-F 
> >> because IFAX has no mass storage such as hard disk. If IFD is located
> >> at bottom of the file, IFAX has to store entirely the file first but
> >> it can not so unless it has mass-storage.
> >> 
> >> Properly speaking, we should have request RFC2301 to add a new profile 
> >> which conforms to Profile-F but whose structure is restricted. 
> >> 
> >> Now, we want to express the profile above in anyhow. So, I support the 
> >> proposal that Tamura-san suggests. 
> 
> I partly understand what McIntyre-san thinks, but not completely.
> 
> If some implementation conform to this draft(fax-feature-T30-mapping),
> you may be right.
> 
> Please forget this draft and think of only RFC2532,2531,2530.
	[McIntyre, Lloyd]  You are absolutely correct, it is RFCs 2305 and
2532 that establishes the rules for Internet Fax. RFC 2301 does say that
IFD-data and page sequence order SHOULD be used. I believe that good
implementation practices can achieve your goals.

> Capability information can be described in MDN and DSN as extentions.
> For example, the following can be possbile. This is not prohibited.
	[McIntyre, Lloyd]  This is true from the perspective of RFC2531,
however, RFC 2305 and 2532 dictate the IFax rules (context for compliance).

> Media-Accept-Features:
>      (& (color=binary)
>         (image-file-structure=TIFF-S)
>         (image-coding=[MH,MR,MMR])
>         (MRC-mode=0)
>         (| (& (dpi=20320/100) (dpi-xyratio=20320/9779) )
>            (& (dpi=20320/100) (dpi-xyratio=20320/19558) )
>            (& (dpi=200) (dpi-xyratio=200/100) )
>            (& (dpi=200) (dpi-xyratio=1) )
>            (& (dpi=300) (dpi-xyratio=1) ) )
>         (size-x<=2150/254)
>         (Paper-size=[A4,B4,A3,Letter]) )
> 
> Therefore, It is possible that IFax-device has the combination
> of "image-file-structure=TIFF-S" and "image-coding=[MH,MR,MMR]",
> if capability information is properly indicated.
	[McIntyre, Lloyd]  See RFC2532 and Rafferty-san's message for IFax
context.

> For clarification, Toyoda-san's proposal can be one of options,
> I think.
	[McIntyre, Lloyd]  This must be taken in context.

> Regards,
> --
> Hiroshi Tamura, Ricoh Company, LTD.
> Mail: [email-masked]
> Tel: +81-462-28-7459  Fax: +81-462-28-7500 (SUB/F-code 5727)

---

From: Hiroshi Tamura <[email-masked]>
Date: Thu, 01 Jul 1999 09:09:56 +0900

McIntyre-san,
Rafferty-san,

Thank you for your explanation.

>> however, RFC 2305 and 2532 dictate the IFax rules (context for compliance).

Would you please show the specific places in RFC 2305 and 2532,
in which the IFax rules are described ?

>> 	[McIntyre, Lloyd]  See RFC2532 and Rafferty-san's message for IFax

Excuse me for my lack of understanding. Would you please specify it,
especially the sentences in RFCs ?

Concerning the file structure and Profile-F, I will mail at the next time.
Before clarifing this capability combination, I cannot go into the details.

Regards,